Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
minhphuong_humg

Text này bị sao vậy nhỉ?

Các bài được khuyến nghị

Không hiểu cái text của mình bị làm sao các bạn ạ! (Xin xem file đính kèm). Nó không hiển thị được tiếng việt, Nhưng nếu mình nhắp đúp vào nó----> nó sẽ hiện ra một loạt các chữ+số+% (ví dụ: Nghi%%214p). Nhưng nếu mà mình nhấn ESC thì nó sẽ trở về được tiếng việt (ví dụ: đối với chữ trên là Nghiệp). Làm sao để nó hiện thị được tiếng việt hả các bạn. Mình không muốn phải làm như thế đối với từng Text một.

Xin cảm ơn!

File đính kèm:

http://www.cadviet.com/upfiles/2/text_sai.rar

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Không hiểu cái text của mình bị làm sao các bạn ạ! (Xin xem file đính kèm). Nó không hiển thị được tiếng việt, Nhưng nếu mình nhắp đúp vào nó----> nó sẽ hiện ra một loạt các chữ+số+% (ví dụ: Nghi%%214p). Nhưng nếu mà mình nhấn ESC thì nó sẽ trở về được tiếng việt (ví dụ: đối với chữ trên là Nghiệp). Làm sao để nó hiện thị được tiếng việt hả các bạn. Mình không muốn phải làm như thế đối với từng Text một.

Xin cảm ơn!

File đính kèm:

http://www.cadviet.com/upfiles/2/text_sai.rar

Bạn nên upload file dwg lên diễn đàn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn nên upload file dwg lên diễn đàn!

Đây là cái file bị lỗi như vậy.

http://www.cadviet.com/upfiles/2/text_sai.dwg

Mong các bạn giúp đỡ.

P/S: có thể ở máy các bạn nó sẽ không bị như vậy đâu. Xin xem bài trên để có hình ảnh kèm theo.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Đây là cái file bị lỗi như vậy.

http://www.cadviet.com/upfiles/2/text_sai.dwg

Mong các bạn giúp đỡ.

P/S: có thể ở máy các bạn nó sẽ không bị như vậy đâu. Xin xem bài trên để có hình ảnh kèm theo.

Bạn dùng lisp P2C dưới đây để biến text đó thành text bình thường.

 

(defun c:p2c (/ ss ent tt)
 (setq ss (ssget '((0 . "TEXT") (1 . "*%%###*"))))
 (while (setq ent (ssname ss 0))
   (setq
     tt (entget ent)
     gt (cdr (assoc 1 tt))
     i	 127
   )
   (while (< (setq i (1+ i)) 256)
     (while (/= gt (setq new (vl-string-subst (chr i) (strcat "%%" (itoa i)) gt)))
(setq gt new)
     )      
   )
   (setq tt (subst (cons 1 gt) (assoc 1 tt) tt)
  ss (ssdel ent ss)
   )
   (entmod tt)
 )
 (princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn dùng lisp P2C dưới đây để biến text đó thành text bình thường.

 

(defun c:p2c (/ ss ent tt)
 (setq ss (ssget '((0 . "TEXT") (1 . "*%%###*"))))
 (while (setq ent (ssname ss 0))
   (setq
     tt (entget ent)
     gt (cdr (assoc 1 tt))
     i	 127
   )
   (while (< (setq i (1+ i)) 256)
     (while (/= gt (setq new (vl-string-subst (chr i) (strcat "%%" (itoa i)) gt)))
(setq gt new)
     )      
   )
   (setq tt (subst (cons 1 gt) (assoc 1 tt) tt)
  ss (ssdel ent ss)
   )
   (entmod tt)
 )
 (princ)
)

Em cảm ơn anh nhé! Nhưng em muốn hiểu vì sao mà nó lại như vậy hả anh?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×